CVE-2003-0251
CVSS5.0
发布时间 :2003-07-24 00:00:00
修订时间 :2011-03-07 21:12:20
NMCOS    

[原文]ypserv NIS server before 2.7 allows remote attackers to cause a denial of service via a TCP client request that does not respond to the server, which causes ypserv to block.


[CNNVD]Linux NIS Server YPSERV远程拒绝服务攻击漏洞(CNNVD-200307-031)

        
        ypserv包含网络信息服务(NIS)服务器。
        ypserv在处理部分客户端请求时存在问题,远程攻击者可以利用这个漏洞对服务器进行拒绝服务攻击。
        如果恶意客户端通过TCP查询ypserv并随后忽略服务器的应答,ypserv会停止尝试发送应答回复,因此就导致ypserv对其他客户端的请求不进行任意应答,产生拒绝服务。
        版本2.7及以上版本通过对每个客户端派生一个子进程来防止此问题的出现。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:667ypserv NIS Server Denial of Service
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0251
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0251
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200307-031
(官方数据源) CNNVD

- 其它链接及资源

http://www.redhat.com/support/errata/RHSA-2003-173.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2003:173
http://www.vupen.com/english/advisories/2006/2873
(UNKNOWN)  VUPEN  ADV-2006-2873
http://www.turbolinux.com/security/TLSA-2003-43.txt
(UNKNOWN)  TURBO  TLSA-2003-43
http://www.securityfocus.com/archive/1/archive/1/440454/100/0/threaded
(UNKNOWN)  HP  SSRT061154
http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert%2F55600&zone_32=category%3Asecurity
(UNKNOWN)  SUNALERT  55600
http://www.securityfocus.com/bid/8031
(UNKNOWN)  BID  8031
http://www.securityfocus.com/archive/1/archive/1/440454/100/0/threaded
(UNKNOWN)  HP  HPSBTU02132
http://www.redhat.com/support/errata/RHSA-2003-201.html
(UNKNOWN)  REDHAT  RHSA-2003:201
http://www.mandriva.com/security/advisories?name=MDKSA-2003:072
(UNKNOWN)  MANDRAKE  MDKSA-2003:072
http://securitytracker.com/id?1016517
(UNKNOWN)  SECTRACK  1016517
http://secunia.com/advisories/21112
(UNKNOWN)  SECUNIA  21112

- 漏洞信息

Linux NIS Server YPSERV远程拒绝服务攻击漏洞
中危 其他
2003-07-24 00:00:00 2005-10-20 00:00:00
远程  
        
        ypserv包含网络信息服务(NIS)服务器。
        ypserv在处理部分客户端请求时存在问题,远程攻击者可以利用这个漏洞对服务器进行拒绝服务攻击。
        如果恶意客户端通过TCP查询ypserv并随后忽略服务器的应答,ypserv会停止尝试发送应答回复,因此就导致ypserv对其他客户端的请求不进行任意应答,产生拒绝服务。
        版本2.7及以上版本通过对每个客户端派生一个子进程来防止此问题的出现。
        

- 公告与补丁

        厂商补丁:
        MandrakeSoft
        ------------
        MandrakeSoft已经为此发布了一个安全公告(MDKSA-2003:072)以及相应补丁:
        MDKSA-2003:072:Updated ypserv packages fix DoS vulnerability
        链接:
        http://www.linux-mandrake.com/en/security/2003/2003-072.php

        补丁下载:
        Updated Packages:
        Corporate Server 2.1:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/corporate/2.1/RPMS/ypserv-2.8-1.1mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/corporate/2.1/SRPMS/ypserv-2.8-1.1mdk.src.rpm
        Mandrake Linux 8.2:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/8.2/RPMS/ypserv-2.8-1.1mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/8.2/SRPMS/ypserv-2.8-1.1mdk.src.rpm
        Mandrake Linux 8.2/PPC:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/8.2/RPMS/ypserv-2.8-1.1mdk.ppc.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/8.2/SRPMS/ypserv-2.8-1.1mdk.src.rpm
        Mandrake Linux 9.0:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.0/RPMS/ypserv-2.8-1.1mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.0/SRPMS/ypserv-2.8-1.1mdk.src.rpm
        上述升级软件还可以在下列地址中的任意一个镜像ftp服务器上下载:
        
        http://www.mandrakesecure.net/en/ftp.php

        RedHat
        ------
        RedHat已经为此发布了一个安全公告(RHSA-2003:173-01)以及相应补丁:
        RHSA-2003:173-01:Updated ypserv packages fix a denial of service vulnerability
        链接:https://www.redhat.com/support/errata/RHSA-2003-173.html
        补丁下载:
        Red Hat Linux 7.1:
        SRPMS:
        ftp://updates.redhat.com/7.1/en/os/SRPMS/ypserv-2.8-0.72E.src.rpm
        i386:
        ftp://updates.redhat.com/7.1/en/os/i386/ypserv-2.8-0.72E.i386.rpm
        Red Hat Linux 7.2:
        SRPMS:
        ftp://updates.redhat.com/7.2/en/os/SRPMS/ypserv-2.8-0.72E.src.rpm
        i386:
        ftp://updates.redhat.com/7.2/en/os/i386/ypserv-2.8-0.72E.i386.rpm
        ia64:
        ftp://updates.redhat.com/7.2/en/os/ia64/ypserv-2.8-0.72E.ia64.rpm
        Red Hat Linux 7.3:
        SRPMS:
        ftp://updates.redhat.com/7.3/en/os/SRPMS/ypserv-2.8-0.73E.src.rpm
        i386:
        ftp://updates.redhat.com/7.3/en/os/i386/ypserv-2.8-0.73E.i386.rpm
        Red Hat Linux 8.0:
        SRPMS:
        ftp://updates.redhat.com/8.0/en/os/SRPMS/ypserv-2.8-0.80E.src.rpm
        i386:
        ftp://updates.redhat.com/8.0/en/os/i386/ypserv-2.8-0.80E.i386.rpm
        Red Hat Linux 9:
        SRPMS:
        ftp://updates.redhat.com/9/en/os/SRPMS/ypserv-2.8-0.9E.src.rpm
        i386:
        ftp://updates.redhat.com/9/en/os/i386/ypserv-2.8-0.9E.i386.rpm
        Terra Soft Solutions
        --------------------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Terra Soft Solutions Yellow Dog Linux 2.3:
        Terra Soft Solutions Upgrade ypserv-2.8-0.72E.ppc.rpm
        ftp://ftp.yellowdoglinux.com/pub/yellowdog/updates/yellowdog-2.3/ppc/ypserv-2.8-0.72E.ppc.rpm
        Terra Soft Solutions Yellow Dog Linux 3.0:
        Terra Soft Solutions Upgrade ypserv-2.8-0.9E.ppc.rpm
        ftp://ftp.yellowdoglinux.com/pub/yellowdog/updates/yellowdog-3.0/ppc/ypserv-2.8-0.9E.ppc.rpm
        ypserv
        ------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        ypserv Upgrade ypserv-2.8.tar.gz
        ftp://ftp.kernel.org/pub/linux/utils/net/NIS/ypserv-2.8.tar.gz

- 漏洞信息

13401
ypserv NIS Server Opened TCP Connection DoS
Denial of Service
Loss of Availability

- 漏洞描述

Unknown or Incomplete

- 时间线

2003-02-04 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Multiple Vendor NIS Server YPSERV Denial Of Service Vulnerability
Failure to Handle Exceptional Conditions 8031
Yes No
2003-02-05 12:00:00 2006-07-19 06:57:00
This vulnerability was reported by the vendor.

- 受影响的程序版本

ypserv ypserv 2.7
+ Conectiva Linux Enterprise Edition 1.0
ypserv ypserv 2.6
+ RedHat Linux 9.0 i386
ypserv ypserv 2.5
+ RedHat Linux 8.0 i386
+ RedHat Linux 8.0
ypserv ypserv 2.2
+ RedHat Linux 7.3 i386
+ RedHat Linux 7.3
ypserv ypserv 1.3.12
+ RedHat Linux 7.2 i386
+ RedHat Linux 7.2
+ Sun Linux 5.0
ypserv ypserv 1.3.11
+ RedHat Linux 7.1 i386
+ RedHat Linux 7.1
Terra Soft Solutions Yellow Dog Linux 3.0
Terra Soft Solutions Yellow Dog Linux 2.3
Sun Linux 5.0.6
Mandriva Linux Mandrake 9.0
Mandriva Linux Mandrake 8.2 ppc
Mandriva Linux Mandrake 8.2
MandrakeSoft Corporate Server 2.1
HP Tru64 5.1 B-3
HP Tru64 5.1 B-2 PK4
HP Tru64 5.1 A PK6
HP Tru64 4.0 G PK4
HP Tru64 4.0 F PK8
ypserv ypserv 2.8

- 不受影响的程序版本

ypserv ypserv 2.8

- 漏洞讨论

A vulnerability has been reported for ypserv that may result in a denial of service when certain TCP packets are processed.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Please see the referenced advisories for information on obtaining fixes.


ypserv ypserv 1.3.11

ypserv ypserv 1.3.12

ypserv ypserv 2.2

Terra Soft Solutions Yellow Dog Linux 2.3

ypserv ypserv 2.5

ypserv ypserv 2.6

ypserv ypserv 2.7

Terra Soft Solutions Yellow Dog Linux 3.0

Sun Linux 5.0.6

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站